extend ../../../ComponentesPug/ModalBusqueda/Plantilla.pug

block variables
    - var TituloModal = "{{ tTituloModal }}"
    - var NombreVariable = "Color"
    - var ListadoCabecera = ["Color", "Descripcion"]
    - var TamanoColeccion = "tColores.length"
    - var PaginaActual = "tPagina"
    - var TamanoPagina = "tTamanoPag"

block ListadoContenido
    tr(*ngFor="let tColor of tColores | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag; let jv = index")
        th
            button(type="button", (click)="activeModal.close({'Resultado' : 'S', '" + NombreVariable + "' : tColor})").btn.btn-sm.btn-link
                .fas.fa-mouse-pointer
        td
            h6 {{ tColor.Codcolor }}
        td
            h6.text-nowrap {{ tColor.Descripcion }}